Bug 92150 - update graphics/p5-Image-ExifTool to 5.97
Summary: update graphics/p5-Image-ExifTool to 5.97
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-22 14:20 UTC by Andrew Pantyukhin
Modified: 2006-02-08 16:12 UTC (History)
0 users

See Also:


Attachments
p5-Image-ExifTool.diff (6.69 KB, patch)
2006-01-22 14:20 UTC, Andrew Pantyukhin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pantyukhin 2006-01-22 14:20:04 UTC
	update to 5.97
Comment 1 Edwin Groothuis freebsd_committer 2006-01-22 14:24:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tod McQuillin 2006-01-23 00:20:22 UTC
On Sun, 22 Jan 2006, Edwin Groothuis wrote:

> Please note that PR ports/92150 has just been submitted.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/92150

The FreeBSD port has so far only tracked production releases of ExifTool. 
Since the latest production release is 5.87, I think it's best to leave 
the port there until Phil designates the next production release.

If there's a strong case to be made for having the intermediate versions 
as a freebsd port also, perhaps a p5-Image-ExifTool-devel can be 
considered.

Comments?
-- 
Tod McQuillin
Comment 3 Andrew Pantyukhin 2006-01-23 07:52:09 UTC
On 1/23/06, Tod McQuillin <devin@spamcop.net> wrote:
> On Sun, 22 Jan 2006, Edwin Groothuis wrote:
>
> > Please note that PR ports/92150 has just been submitted.
> >
> > The full text of the PR can be found at:
> >    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/92150
>
> The FreeBSD port has so far only tracked production releases of ExifTool.
> Since the latest production release is 5.87, I think it's best to leave
> the port there until Phil designates the next production release.
>
> If there's a strong case to be made for having the intermediate versions
> as a freebsd port also, perhaps a p5-Image-ExifTool-devel can be
> considered.
>
> Comments?
> --
> Tod McQuillin
>
>

Well, it's probably not just me who needs the features added
since 5.87. Besides, the latest release cycles (5.67, 5.77,
5.87) show that a new release is due just around 5.97 and
that there are usually no serious fixes going into the releases.
I can't speak for the author, but if you ask me - a release day
is when Phil takes his time and updates his cpan repo.

I don't really think that we can keep up with the rate ExifTools
minor versions are appearing, but my point is that there's no
bad thing in picking up an early (pre-)release.

Anyway, I'm ready to agree with you whatever you decide
and I don't see a need for a second port.
Comment 4 Tod McQuillin 2006-01-24 05:36:48 UTC
On Mon, 23 Jan 2006, Andrew P. wrote:

> Well, it's probably not just me who needs the features added
> since 5.87. Besides, the latest release cycles (5.67, 5.77,
> 5.87) show that a new release is due just around 5.97 and
> that there are usually no serious fixes going into the releases.
> I can't speak for the author, but if you ask me - a release day
> is when Phil takes his time and updates his cpan repo.

Okay, well I don't feel so strongly about only tracking "production 
releases" that I want to make a big issue about it.

So I'm fine with this patch if a ports committer agrees.
-- 
Tod
Comment 5 Andrew Pantyukhin 2006-01-24 08:32:12 UTC
On 1/24/06, Tod McQuillin <devin@spamcop.net> wrote:
> Okay, well I don't feel so strongly about only tracking "production
> releases" that I want to make a big issue about it.
>
> So I'm fine with this patch if a ports committer agrees.
> --
> Tod

Thanks. And I'll try to slip in an additional patch as soon as
release is announced to keep you happy :)
Comment 6 Andrew Pantyukhin 2006-01-24 08:45:47 UTC
On 1/24/06, Andrew P. <infofarmer@gmail.com> wrote:
> On 1/24/06, Tod McQuillin <devin@spamcop.net> wrote:
> > Okay, well I don't feel so strongly about only tracking "production
> > releases" that I want to make a big issue about it.
> >
> > So I'm fine with this patch if a ports committer agrees.
> > --
> > Tod
>
> Thanks. And I'll try to slip in an additional patch as soon as
> release is announced to keep you happy :)
>

It seems Phil doesn't rest a day. Here's a new patch - to v5.98.
No packing list changes.

http://proxy.gubkin.ru/myports/p5-Image-ExifTool.598.diff
Comment 7 Andrew Pantyukhin 2006-02-02 09:56:42 UTC
5.99 is out, no plist changes

http://proxy.gubkin.ru/myports/p5-Image-ExifTool.599.diff
Comment 8 Sam Lawrance freebsd_committer 2006-02-08 13:45:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take it
Comment 9 Sam Lawrance freebsd_committer 2006-02-08 14:29:51 UTC
State Changed
From-To: feedback->feedback

Doesn't fetch: 

================================================================ 
====================<phase 1: make checksum>==================== 
=> Image-ExifTool-5.99.tar.gz doesn't seem to exist in /tmp/distfiles/. 
=> Attempting to fetch from file:///distcache//. 
fetch: file:///distcache//Image-ExifTool-5.99.tar.gz: No such file or directory 
=> Attempting to fetch from http://www.sno.phy.queensu.ca/~phil/exiftool/. 
fetch: http://www.sno.phy.queensu.ca/~phil/exiftool/Image-ExifTool-5.99.tar.gz: size mismatch: expected 866304, actual 878967 
=> Attempting to fetch from ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/Image/. 
fetch: ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/Image/Image-ExifTool-5.99.tar.gz: Not Found 
=> Attempting to fetch from ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Image/. 
fetch: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Image/Image-ExifTool-5.99.tar.gz: Not Found 
=> Attempting to fetch from http://www.cpan.dk/CPAN/modules/by-module/Image/. 
fetch: http://www.cpan.dk/CPAN/modules/by-module/Image/Image-ExifTool-5.99.tar.gz: Not Found 

...
Comment 10 Sam Lawrance freebsd_committer 2006-02-08 16:12:04 UTC
State Changed
From-To: feedback->closed

Committed, thanks all!